---
- name: Update the {{ ansible_distribution }} repos
  apt:
    update_cache: yes

- name: Install all the {{ ansible_distribution }} packages
  apt:
    name: "{{ specific_packages }}"
    state: present

- name: Create ssl private directory
  file:
    path: "{{ ssl_crt_path }}"
    state: directory
    owner: root
    group: root
    mode: 0750

